Create R alias:

  $ alias R="${CRAM_REMOTE_COMMAND:-}"

Assure expected build configuration (PCF-1413):

  $ R "cat /etc/build.config"
  # Build configuration for board ipq807x/generic/DEVICE_prpl_haze
  
  CONFIG_TARGET_ipq807x=y
  CONFIG_TARGET_ipq807x_generic=y
  CONFIG_TARGET_ipq807x_generic_DEVICE_prpl_haze=y
  CONFIG_DEVEL=y
  CONFIG_TOOLCHAINOPTS=y
  CONFIG_BUSYBOX_CUSTOM=y
  CONFIG_BIND_ENABLE_DOH=y
  CONFIG_BUILD_LOG=y
  CONFIG_BUSYBOX_CONFIG_FLOAT_DURATION=y
  # CONFIG_BUSYBOX_CONFIG_NTPD is not set
  CONFIG_BUSYBOX_CONFIG_PIE=y
  CONFIG_BUSYBOX_DEFAULT_PIE=y
  CONFIG_DROPBEAR_ECC=y
  CONFIG_GCC_DEFAULT_PIE=y
  CONFIG_IB=y
  CONFIG_IB_STANDALONE=y
  CONFIG_IMAGEOPT=y
  CONFIG_INCLUDE_CONFIG=y
  CONFIG_JSON_CHECKSEC_MITIGATIONS_REPORT=y
  CONFIG_JSON_CYCLONEDX_SBOM=y
  CONFIG_KERNEL_ARM_PMU=y
  CONFIG_KERNEL_BTRFS_FS_POSIX_ACL=y
  # CONFIG_KERNEL_CC_STACKPROTECTOR_REGULAR is not set
  CONFIG_KERNEL_CC_STACKPROTECTOR_STRONG=y
  CONFIG_KERNEL_CGROUP_DEVICE=y
  CONFIG_KERNEL_CGROUP_FREEZER=y
  CONFIG_KERNEL_CGROUP_PERF=y
  CONFIG_KERNEL_CIFS_ACL=y
  CONFIG_KERNEL_EXT4_FS_POSIX_ACL=y
  CONFIG_KERNEL_EXT4_FS_SECURITY=y
  CONFIG_KERNEL_F2FS_FS_POSIX_ACL=y
  CONFIG_KERNEL_F2FS_FS_SECURITY=y
  CONFIG_KERNEL_FS_POSIX_ACL=y
  CONFIG_KERNEL_HFSPLUS_FS_POSIX_ACL=y
  CONFIG_KERNEL_HFS_FS_POSIX_ACL=y
  CONFIG_KERNEL_JFFS2_FS_POSIX_ACL=y
  CONFIG_KERNEL_JFS_POSIX_ACL=y
  CONFIG_KERNEL_MEMCG_SWAP_ENABLED=y
  CONFIG_KERNEL_NET_CLS_CGROUP=y
  CONFIG_KERNEL_NFS_ACL_SUPPORT=y
  CONFIG_KERNEL_PERF_EVENTS=y
  CONFIG_KERNEL_PROC_PID_CPUSET=y
  CONFIG_KERNEL_REISER_FS_POSIX_ACL=y
  CONFIG_KERNEL_STACKPROTECTOR_STRONG=y
  CONFIG_KERNEL_TMPFS_POSIX_ACL=y
  CONFIG_KERNEL_XFS_POSIX_ACL=y
  CONFIG_LIBCURL_COOKIES=y
  CONFIG_LIBCURL_FILE=y
  CONFIG_LIBCURL_FTP=y
  CONFIG_LIBCURL_HTTP=y
  CONFIG_LIBCURL_NGHTTP2=y
  CONFIG_LIBCURL_NO_SMB="!"
  CONFIG_LIBCURL_OPENSSL=y
  CONFIG_LIBCURL_PROXY=y
  CONFIG_LIBCURL_UNIX_SOCKETS=y
  CONFIG_LIGHTTPD_CRYPTOLIB_OPENSSL=y
  CONFIG_LIGHTTPD_PCRE2=y
  CONFIG_LIGHTTPD_SSL=y
  CONFIG_LIGHTTPD_SSL_SELECT=m
  CONFIG_LOGROTATE_ACL=y
  CONFIG_LXC_SECCOMP=y
  CONFIG_MCASTD_CORE=y
  CONFIG_MCASTD_CORE_NICE=-18
  CONFIG_MOSQUITTO_CTRL=y
  CONFIG_MOSQUITTO_DYNAMIC_SECURITY=y
  CONFIG_MOSQUITTO_LWS=y
  CONFIG_MOSQUITTO_PASSWD=y
  CONFIG_MSTPD_RTNL_RCV_BUFSIZE=262144
  CONFIG_MSTPD_RTNL_SND_BUFSIZE=262144
  CONFIG_ODHCP6C_ENABLE_UBUS=y
  CONFIG_PACKAGE_acl=y
  CONFIG_PACKAGE_acl-manager=y
  CONFIG_PACKAGE_amx-cli=y
  CONFIG_PACKAGE_amx-faultmonitor=y
  CONFIG_PACKAGE_amx-fcgi=y
  CONFIG_PACKAGE_amx-processmonitor=y
  CONFIG_PACKAGE_amxrt=y
  CONFIG_PACKAGE_bind-client=y
  CONFIG_PACKAGE_bind-libs=y
  CONFIG_PACKAGE_cJSON=y
  CONFIG_PACKAGE_ca-certificates=y
  CONFIG_PACKAGE_chrony-prpl=y
  CONFIG_PACKAGE_cthulhu=y
  CONFIG_PACKAGE_cthulhu-dhcpc=y
  CONFIG_PACKAGE_cthulhu-lxc=y
  CONFIG_PACKAGE_cthulhu-networking=y
  CONFIG_PACKAGE_cthulhu-plugin-usp=y
  CONFIG_PACKAGE_curl=y
  CONFIG_PACKAGE_ddns-scripts=y
  CONFIG_PACKAGE_ddns-scripts-cloudflare=y
  CONFIG_PACKAGE_ddns-scripts-freedns=y
  CONFIG_PACKAGE_ddns-scripts-godaddy=y
  CONFIG_PACKAGE_ddns-scripts-noip=y
  CONFIG_PACKAGE_ddns-scripts-nsupdate=y
  CONFIG_PACKAGE_ddns-scripts-route53=y
  CONFIG_PACKAGE_ddns-scripts-services=y
  CONFIG_PACKAGE_debug-information=y
  CONFIG_PACKAGE_deviceinfo-manager=y
  CONFIG_PACKAGE_dhcpv4-manager=y
  CONFIG_PACKAGE_dhcpv6s-manager=y
  CONFIG_PACKAGE_dmtui=y
  # CONFIG_PACKAGE_dnsmasq is not set
  CONFIG_PACKAGE_dnsmasq-prpl=y
  CONFIG_PACKAGE_ebtables-legacy=y
  CONFIG_PACKAGE_ebtables-legacy-utils=y
  CONFIG_PACKAGE_ethernet-manager=y
  CONFIG_PACKAGE_fcgi=y
  # CONFIG_PACKAGE_firewall4 is not set
  CONFIG_PACKAGE_flock=y
  CONFIG_PACKAGE_getopt=y
  CONFIG_PACKAGE_glib2=y
  CONFIG_PACKAGE_gmap-client=y
  CONFIG_PACKAGE_gmap-mibs-common=y
  CONFIG_PACKAGE_gmap-mod-ethernet-dev=y
  CONFIG_PACKAGE_gmap-mod-name-selector=y
  CONFIG_PACKAGE_gmap-mod-self=y
  CONFIG_PACKAGE_gmap-server=y
  CONFIG_PACKAGE_hostapd-openssl=y
  CONFIG_PACKAGE_hostapd-utils=y
  CONFIG_PACKAGE_hosts-manager=y
  CONFIG_PACKAGE_ip-bridge=y
  CONFIG_PACKAGE_ip-full=y
  CONFIG_PACKAGE_ip-manager=y
  CONFIG_PACKAGE_ip6tables-extra=y
  CONFIG_PACKAGE_ip6tables-zz-legacy=y
  CONFIG_PACKAGE_iperf3=y
  CONFIG_PACKAGE_iptables-mod-conntrack-extra=y
  CONFIG_PACKAGE_iptables-mod-ipopt=y
  CONFIG_PACKAGE_iptables-mod-nfqueue=y
  CONFIG_PACKAGE_iptables-zz-legacy=y
  CONFIG_PACKAGE_iputils-ping=y
  # CONFIG_PACKAGE_iw is not set
  CONFIG_PACKAGE_iw-full=y
  # CONFIG_PACKAGE_jansson is not set
  CONFIG_PACKAGE_kmod-asn1-decoder=y
  CONFIG_PACKAGE_kmod-crypto-md5=y
  CONFIG_PACKAGE_kmod-ebtables=y
  CONFIG_PACKAGE_kmod-ebtables-ipv4=y
  CONFIG_PACKAGE_kmod-ebtables-ipv6=y
  CONFIG_PACKAGE_kmod-ifb=y
  CONFIG_PACKAGE_kmod-ip6-tunnel=y
  CONFIG_PACKAGE_kmod-ip6tables=y
  CONFIG_PACKAGE_kmod-ip6tables-extra=y
  CONFIG_PACKAGE_kmod-ipt-conntrack=y
  CONFIG_PACKAGE_kmod-ipt-conntrack-extra=y
  CONFIG_PACKAGE_kmod-ipt-core=y
  CONFIG_PACKAGE_kmod-ipt-extra=y
  CONFIG_PACKAGE_kmod-ipt-ipopt=y
  CONFIG_PACKAGE_kmod-ipt-ipset=y
  CONFIG_PACKAGE_kmod-ipt-nat=y
  CONFIG_PACKAGE_kmod-ipt-nat6=y
  CONFIG_PACKAGE_kmod-ipt-nfqueue=y
  CONFIG_PACKAGE_kmod-ipt-raw=y
  CONFIG_PACKAGE_kmod-ipt-raw6=y
  CONFIG_PACKAGE_kmod-iptunnel6=y
  CONFIG_PACKAGE_kmod-lib-textsearch=y
  CONFIG_PACKAGE_kmod-loop=y
  CONFIG_PACKAGE_kmod-mcastd-core=y
  CONFIG_PACKAGE_kmod-nf-conncount=y
  CONFIG_PACKAGE_kmod-nf-ipt=y
  CONFIG_PACKAGE_kmod-nf-ipt6=y
  CONFIG_PACKAGE_kmod-nf-nat6=y
  CONFIG_PACKAGE_kmod-nf-nathelper=y
  CONFIG_PACKAGE_kmod-nf-nathelper-extra=y
  CONFIG_PACKAGE_kmod-nfnetlink-queue=y
  # CONFIG_PACKAGE_kmod-nft-fib is not set
  CONFIG_PACKAGE_kmod-ppp=y
  CONFIG_PACKAGE_kmod-pppoe=y
  CONFIG_PACKAGE_kmod-pppox=y
  CONFIG_PACKAGE_kmod-sched=y
  CONFIG_PACKAGE_kmod-sched-act-vlan=y
  CONFIG_PACKAGE_kmod-sched-core=y
  CONFIG_PACKAGE_kmod-sched-flower=y
  CONFIG_PACKAGE_kmod-sched-prio=y
  CONFIG_PACKAGE_kmod-slhc=y
  CONFIG_PACKAGE_kmod-veth=y
  CONFIG_PACKAGE_libacl=y
  CONFIG_PACKAGE_libamxa=y
  CONFIG_PACKAGE_libamxb=y
  CONFIG_PACKAGE_libamxc=y
  CONFIG_PACKAGE_libamxd=y
  CONFIG_PACKAGE_libamxj=y
  CONFIG_PACKAGE_libamxm=y
  CONFIG_PACKAGE_libamxo=y
  CONFIG_PACKAGE_libamxp=y
  CONFIG_PACKAGE_libamxrt=y
  CONFIG_PACKAGE_libamxs=y
  CONFIG_PACKAGE_libamxt=y
  CONFIG_PACKAGE_libamxtui=y
  CONFIG_PACKAGE_libarchive=y
  CONFIG_PACKAGE_libatomic=y
  CONFIG_PACKAGE_libattr=y
  CONFIG_PACKAGE_libbpf=y
  CONFIG_PACKAGE_libbz2=y
  CONFIG_PACKAGE_libcap=y
  CONFIG_PACKAGE_libcap-ng=y
  CONFIG_PACKAGE_libcares=y
  CONFIG_PACKAGE_libcthulhu=y
  CONFIG_PACKAGE_libcurl=y
  CONFIG_PACKAGE_libdbi=y
  CONFIG_PACKAGE_libdhcpoptions=y
  CONFIG_PACKAGE_libdiscoping=y
  CONFIG_PACKAGE_libelf=y
  CONFIG_PACKAGE_libevdev=y
  CONFIG_PACKAGE_libevent2=y
  CONFIG_PACKAGE_libexpat=y
  CONFIG_PACKAGE_libffi=y
  CONFIG_PACKAGE_libfiletransfer=y
  CONFIG_PACKAGE_libfwinterface=y
  CONFIG_PACKAGE_libfwrules=y
  CONFIG_PACKAGE_libgmap-client=y
  CONFIG_PACKAGE_libgmap-ext=y
  CONFIG_PACKAGE_libimtp=y
  CONFIG_PACKAGE_libip4tc=y
  CONFIG_PACKAGE_libip6tc=y
  CONFIG_PACKAGE_libipat=y
  CONFIG_PACKAGE_libiperf3=y
  CONFIG_PACKAGE_libipset=y
  CONFIG_PACKAGE_libiptext=y
  CONFIG_PACKAGE_libiptext6=y
  CONFIG_PACKAGE_libkmod=y
  CONFIG_PACKAGE_liblcm=y
  CONFIG_PACKAGE_liblua=y
  CONFIG_PACKAGE_liblxc=y
  CONFIG_PACKAGE_liblzma=y
  CONFIG_PACKAGE_libmbedtls=m
  CONFIG_PACKAGE_libmicrohttpd-no-ssl=y
  CONFIG_PACKAGE_libmosquitto-ssl=y
  CONFIG_PACKAGE_libncurses=y
  CONFIG_PACKAGE_libnetfilter-queue=y
  CONFIG_PACKAGE_libnetlink-utils=y
  CONFIG_PACKAGE_libnetmodel=y
  CONFIG_PACKAGE_libnfnetlink=y
  # CONFIG_PACKAGE_libnftnl is not set
  CONFIG_PACKAGE_libnghttp2=y
  CONFIG_PACKAGE_libnl=y
  CONFIG_PACKAGE_libnl-cli=y
  CONFIG_PACKAGE_libnl-core=y
  CONFIG_PACKAGE_libnl-genl=y
  CONFIG_PACKAGE_libnl-nf=y
  CONFIG_PACKAGE_libnl-route=y
  CONFIG_PACKAGE_libocispec=y
  CONFIG_PACKAGE_libopenssl-conf=y
  CONFIG_PACKAGE_libopenssl-legacy=y
  CONFIG_PACKAGE_libpacket-interception=y
  CONFIG_PACKAGE_libpci=y
  CONFIG_PACKAGE_libpcp=y
  CONFIG_PACKAGE_libpcre2=y
  CONFIG_PACKAGE_libpopt=y
  CONFIG_PACKAGE_libprotobuf-c=y
  CONFIG_PACKAGE_libqoscommon=y
  CONFIG_PACKAGE_libqosmodule=y
  CONFIG_PACKAGE_libqosnode=y
  CONFIG_PACKAGE_librlyeh=y
  CONFIG_PACKAGE_libsahtrace=y
  CONFIG_PACKAGE_libseccomp=y
  CONFIG_PACKAGE_libsqlite3=y
  CONFIG_PACKAGE_libstdcpp=y
  CONFIG_PACKAGE_libswla=y
  CONFIG_PACKAGE_libswlc=y
  CONFIG_PACKAGE_libtr181-schedules=y
  CONFIG_PACKAGE_libtr69-engine=y
  CONFIG_PACKAGE_libudev-zero=y
  CONFIG_PACKAGE_libunbound-prpl=y
  CONFIG_PACKAGE_libupnp=y
  CONFIG_PACKAGE_libusb-1.0=y
  CONFIG_PACKAGE_libusp=y
  CONFIG_PACKAGE_libuspi=y
  CONFIG_PACKAGE_libuspprotobuf=y
  CONFIG_PACKAGE_libuv=y
  CONFIG_PACKAGE_libwebsockets4-full=y
  CONFIG_PACKAGE_libxml2=y
  CONFIG_PACKAGE_libxtables=y
  CONFIG_PACKAGE_lighttpd=y
  CONFIG_PACKAGE_lighttpd-mod-access=y
  CONFIG_PACKAGE_lighttpd-mod-auth=y
  CONFIG_PACKAGE_lighttpd-mod-authn_file=y
  CONFIG_PACKAGE_lighttpd-mod-fastcgi=y
  CONFIG_PACKAGE_lighttpd-mod-openssl=m
  CONFIG_PACKAGE_lighttpd-mod-proxy=y
  CONFIG_PACKAGE_lighttpd-mod-rewrite=y
  CONFIG_PACKAGE_lighttpd-mod-setenv=y
  # CONFIG_PACKAGE_logd is not set
  CONFIG_PACKAGE_logrotate=y
  CONFIG_PACKAGE_lua=y
  CONFIG_PACKAGE_lua-amx=y
  CONFIG_PACKAGE_lxc=y
  CONFIG_PACKAGE_lxc-attach=y
  CONFIG_PACKAGE_lxc-auto=y
  CONFIG_PACKAGE_lxc-autostart=y
  CONFIG_PACKAGE_lxc-cgroup=y
  CONFIG_PACKAGE_lxc-checkconfig=y
  CONFIG_PACKAGE_lxc-common=y
  CONFIG_PACKAGE_lxc-config=y
  CONFIG_PACKAGE_lxc-configs=y
  CONFIG_PACKAGE_lxc-console=y
  CONFIG_PACKAGE_lxc-copy=y
  CONFIG_PACKAGE_lxc-create=y
  CONFIG_PACKAGE_lxc-destroy=y
  CONFIG_PACKAGE_lxc-device=y
  CONFIG_PACKAGE_lxc-execute=y
  CONFIG_PACKAGE_lxc-freeze=y
  CONFIG_PACKAGE_lxc-hooks=y
  CONFIG_PACKAGE_lxc-info=y
  CONFIG_PACKAGE_lxc-ls=y
  CONFIG_PACKAGE_lxc-monitor=y
  CONFIG_PACKAGE_lxc-start=y
  CONFIG_PACKAGE_lxc-stop=y
  CONFIG_PACKAGE_lxc-templates=y
  CONFIG_PACKAGE_lxc-top=y
  CONFIG_PACKAGE_lxc-unfreeze=y
  CONFIG_PACKAGE_lxc-unprivileged=y
  CONFIG_PACKAGE_lxc-unshare=y
  CONFIG_PACKAGE_lxc-user-nic=y
  CONFIG_PACKAGE_lxc-usernsexec=y
  CONFIG_PACKAGE_lxc-wait=y
  CONFIG_PACKAGE_mcastd-noforward=y
  CONFIG_PACKAGE_miniupnpd-prpl=y
  CONFIG_PACKAGE_mod-amxb-ubus=y
  CONFIG_PACKAGE_mod-amxb-usp=y
  CONFIG_PACKAGE_mod-autosensing=y
  CONFIG_PACKAGE_mod-ba-cli=y
  CONFIG_PACKAGE_mod-dhcpv4c=y
  CONFIG_PACKAGE_mod-dmext=y
  CONFIG_PACKAGE_mod-dmproxy=y
  CONFIG_PACKAGE_mod-dmstats=y
  CONFIG_PACKAGE_mod-dns-unbound=y
  CONFIG_PACKAGE_mod-dnssd-advertisement=y
  CONFIG_PACKAGE_mod-fw-amx=y
  CONFIG_PACKAGE_mod-fw-host=y
  CONFIG_PACKAGE_mod-httpaccess-lighttpd=y
  CONFIG_PACKAGE_mod-logical-api=y
  CONFIG_PACKAGE_mod-lua-amx=y
  CONFIG_PACKAGE_mod-netmodel=y
  CONFIG_PACKAGE_mod-pcm-svc=y
  CONFIG_PACKAGE_mod-ppp-daemon=y
  CONFIG_PACKAGE_mod-qos-tc=y
  CONFIG_PACKAGE_mod-ra-radvd=y
  CONFIG_PACKAGE_mod-sahtrace=y
  CONFIG_PACKAGE_mod-usp-registration=y
  CONFIG_PACKAGE_mod-vlan-ioctl=y
  CONFIG_PACKAGE_mod-vlan-uci=y
  CONFIG_PACKAGE_mod-xpon-prpl=y
  CONFIG_PACKAGE_mod-xpon-prpl-mock=m
  CONFIG_PACKAGE_mosquitto-client-ssl=y
  CONFIG_PACKAGE_mosquitto-ssl=y
  CONFIG_PACKAGE_mstpd=y
  CONFIG_PACKAGE_multisettings=y
  CONFIG_PACKAGE_netdev-plugin=y
  CONFIG_PACKAGE_netmodel=y
  CONFIG_PACKAGE_netmodel-bridge=y
  CONFIG_PACKAGE_netmodel-clients=y
  CONFIG_PACKAGE_netmodel-dhcpv4=y
  CONFIG_PACKAGE_netmodel-dhcpv6=y
  CONFIG_PACKAGE_netmodel-dslite=y
  CONFIG_PACKAGE_netmodel-ethernet=y
  CONFIG_PACKAGE_netmodel-ip=y
  CONFIG_PACKAGE_netmodel-iprouter=y
  CONFIG_PACKAGE_netmodel-logical=y
  CONFIG_PACKAGE_netmodel-netdev=y
  CONFIG_PACKAGE_netmodel-ppp=y
  CONFIG_PACKAGE_netmodel-radio=y
  CONFIG_PACKAGE_netmodel-ssid=y
  CONFIG_PACKAGE_netmodel-vlan=y
  CONFIG_PACKAGE_netmodel-xpon=y
  # CONFIG_PACKAGE_nftables-json is not set
  CONFIG_PACKAGE_obuspa=y
  CONFIG_PACKAGE_odl-generator=y
  CONFIG_PACKAGE_oopsmonitor=y
  CONFIG_PACKAGE_opennds-prpl=y
  CONFIG_PACKAGE_openssl-util=y
  CONFIG_PACKAGE_packet-interception=y
  CONFIG_PACKAGE_pciids=y
  CONFIG_PACKAGE_pciutils=y
  CONFIG_PACKAGE_pcm-manager=y
  CONFIG_PACKAGE_picocom=y
  CONFIG_PACKAGE_ppp-prpl=y
  CONFIG_PACKAGE_procps-ng=y
  CONFIG_PACKAGE_procps-ng-pgrep=y
  CONFIG_PACKAGE_procps-ng-pkill=y
  CONFIG_PACKAGE_procps-ng-pmap=y
  CONFIG_PACKAGE_procps-ng-ps=y
  CONFIG_PACKAGE_procps-ng-uptime=y
  CONFIG_PACKAGE_prpl-configuration=y
  CONFIG_PACKAGE_prpl-webui=y
  CONFIG_PACKAGE_prplmesh=y
  CONFIG_PACKAGE_prplmesh-unit-tests=m
  CONFIG_PACKAGE_pwhm=y
  CONFIG_PACKAGE_radvd=y
  CONFIG_PACKAGE_reboot-service=y
  CONFIG_PACKAGE_resize2fs=y
  CONFIG_PACKAGE_rlyeh=y
  CONFIG_PACKAGE_routing-manager=y
  CONFIG_PACKAGE_rpcd=y
  CONFIG_PACKAGE_shadow=y
  CONFIG_PACKAGE_shadow-chage=y
  CONFIG_PACKAGE_shadow-chfn=y
  CONFIG_PACKAGE_shadow-chgpasswd=y
  CONFIG_PACKAGE_shadow-chpasswd=y
  CONFIG_PACKAGE_shadow-chsh=y
  CONFIG_PACKAGE_shadow-common=y
  CONFIG_PACKAGE_shadow-expiry=y
  CONFIG_PACKAGE_shadow-faillog=y
  CONFIG_PACKAGE_shadow-gpasswd=y
  CONFIG_PACKAGE_shadow-groupadd=y
  CONFIG_PACKAGE_shadow-groupdel=y
  CONFIG_PACKAGE_shadow-groupmems=y
  CONFIG_PACKAGE_shadow-groupmod=y
  CONFIG_PACKAGE_shadow-groups=y
  CONFIG_PACKAGE_shadow-grpck=y
  CONFIG_PACKAGE_shadow-grpconv=y
  CONFIG_PACKAGE_shadow-grpunconv=y
  CONFIG_PACKAGE_shadow-lastlog=y
  CONFIG_PACKAGE_shadow-login=y
  CONFIG_PACKAGE_shadow-logoutd=y
  CONFIG_PACKAGE_shadow-newgidmap=y
  CONFIG_PACKAGE_shadow-newgrp=y
  CONFIG_PACKAGE_shadow-newuidmap=y
  CONFIG_PACKAGE_shadow-newusers=y
  CONFIG_PACKAGE_shadow-nologin=y
  CONFIG_PACKAGE_shadow-passwd=y
  CONFIG_PACKAGE_shadow-pwck=y
  CONFIG_PACKAGE_shadow-pwconv=y
  CONFIG_PACKAGE_shadow-pwunconv=y
  CONFIG_PACKAGE_shadow-su=y
  CONFIG_PACKAGE_shadow-useradd=y
  CONFIG_PACKAGE_shadow-userdel=y
  CONFIG_PACKAGE_shadow-usermod=y
  CONFIG_PACKAGE_shadow-utils=y
  CONFIG_PACKAGE_shadow-vipw=y
  CONFIG_PACKAGE_ssh-server=y
  CONFIG_PACKAGE_syslog-ng=y
  CONFIG_PACKAGE_tc-tiny=y
  CONFIG_PACKAGE_terminfo=y
  CONFIG_PACKAGE_time-manager=y
  CONFIG_PACKAGE_timingila=y
  CONFIG_PACKAGE_timingila-cthulhu=y
  CONFIG_PACKAGE_timingila-rlyeh=y
  CONFIG_PACKAGE_tr069-manager=y
  CONFIG_PACKAGE_tr181-bridging=y
  CONFIG_PACKAGE_tr181-button=y
  CONFIG_PACKAGE_tr181-captiveportal=y
  CONFIG_PACKAGE_tr181-device=y
  CONFIG_PACKAGE_tr181-dhcpv4client=y
  CONFIG_PACKAGE_tr181-dhcpv6client=y
  CONFIG_PACKAGE_tr181-dns=y
  CONFIG_PACKAGE_tr181-dnssd=y
  CONFIG_PACKAGE_tr181-dslite=y
  CONFIG_PACKAGE_tr181-dynamicdns=y
  CONFIG_PACKAGE_tr181-firewall=y
  CONFIG_PACKAGE_tr181-httpaccess=y
  CONFIG_PACKAGE_tr181-ipdiagnostics=y
  CONFIG_PACKAGE_tr181-led=y
  CONFIG_PACKAGE_tr181-logical=y
  CONFIG_PACKAGE_tr181-mcastd=y
  CONFIG_PACKAGE_tr181-mqttbroker=y
  CONFIG_PACKAGE_tr181-neighbordiscovery=y
  CONFIG_PACKAGE_tr181-pcp=y
  CONFIG_PACKAGE_tr181-ppp=y
  CONFIG_PACKAGE_tr181-qos=y
  CONFIG_PACKAGE_tr181-rest-api=y
  CONFIG_PACKAGE_tr181-routeradvertisement=y
  CONFIG_PACKAGE_tr181-security=y
  CONFIG_PACKAGE_tr181-syslog=y
  CONFIG_PACKAGE_tr181-temperature=y
  CONFIG_PACKAGE_tr181-upnp=y
  CONFIG_PACKAGE_tr181-usermanagement=y
  CONFIG_PACKAGE_tr181-xpon=y
  # CONFIG_PACKAGE_ucode-mod-uci is not set
  CONFIG_PACKAGE_umdns-prpl=y
  CONFIG_PACKAGE_unbound-daemon-prpl=y
  CONFIG_PACKAGE_uriparser=y
  CONFIG_PACKAGE_usbids=y
  CONFIG_PACKAGE_usbutils=y
  CONFIG_PACKAGE_wan-manager=y
  CONFIG_PACKAGE_wpa-supplicant-openssl=y
  CONFIG_PACKAGE_wpad-basic-mbedtls=m
  CONFIG_PACKAGE_xtables-legacy=y
  CONFIG_PACKAGE_yajl=y
  CONFIG_PACKAGE_zlib=y
  CONFIG_PKG_ASLR_PIE_ALL=y
  # CONFIG_PKG_ASLR_PIE_REGULAR is not set
  # CONFIG_PKG_CC_STACKPROTECTOR_REGULAR is not set
  CONFIG_PKG_CC_STACKPROTECTOR_STRONG=y
  # CONFIG_PKG_FORTIFY_SOURCE_1 is not set
  CONFIG_PKG_FORTIFY_SOURCE_2=y
  CONFIG_PRPLMESH_ENABLE_UNIT_TESTS=y
  CONFIG_PRPL_CONTROLLER_ROOT_PATH="X_PRPL-ORG_WiFiController"
  CONFIG_PRPL_IP_DIAGNOSTIC_UPLOAD_DOWNLOAD=y
  CONFIG_SAH_AMXRT_RWDATAPATH="/etc/config"
  CONFIG_SAH_AMX_ADD_DBREADY_SCRIPT=y
  CONFIG_SAH_AMX_FAULTMONITOR=y
  CONFIG_SAH_AMX_FAULTMONITOR_ORDER=15
  CONFIG_SAH_AMX_FAULTMONITOR_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_FAULTMONITOR_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_FAULTMONITOR_STOP_ORDER=99
  CONFIG_SAH_AMX_GMAP_CLIENT=y
  CONFIG_SAH_AMX_GMAP_CLIENT_ORDER=82
  CONFIG_SAH_AMX_GMAP_SERVER=y
  CONFIG_SAH_AMX_GMAP_SERVER_ORDER=71
  CONFIG_SAH_AMX_MULTISETTINGS=y
  CONFIG_SAH_AMX_MULTISETTINGS_ORDER=19
  CONFIG_SAH_AMX_NETDEV=y
  CONFIG_SAH_AMX_NETDEV_64_BITS_NETWORK_STATISTICS=y
  CONFIG_SAH_AMX_NETDEV_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_NETDEV_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_NETMODEL=y
  CONFIG_SAH_AMX_NETMODEL_CLIENTS=y
  CONFIG_SAH_AMX_NETMODEL_CLIENTS_ORDER=20
  CONFIG_SAH_AMX_NETMODEL_CLIENTS_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_NETMODEL_CLIENTS_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_NETMODEL_ORDER=20
  CONFIG_SAH_AMX_NETMODEL_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_NETMODEL_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_OOPSMONITOR=y
  CONFIG_SAH_AMX_OOPSMONITOR_DEFAULT_PARSING=y
  CONFIG_SAH_AMX_OOPSMONITOR_ORDER=99
  CONFIG_SAH_AMX_OOPSMONITOR_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_OOPSMONITOR_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_PACKET_INTERCEPTION=y
  CONFIG_SAH_AMX_PACKET_INTERCEPTION_ORDER=50
  CONFIG_SAH_AMX_PACKET_INTERCEPTION_TR181_FIREWALL_RULEPATH="/etc/amx/tr181-firewall"
  CONFIG_SAH_AMX_PCM=y
  CONFIG_SAH_AMX_PCM_ORDER=17
  CONFIG_SAH_AMX_PCM_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_PCM_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_PCM_TARBALL=y
  CONFIG_SAH_AMX_SSH_SERVER=y
  CONFIG_SAH_AMX_SSH_SERVER_ORDER=25
  CONFIG_SAH_AMX_TR069_MANAGER=y
  CONFIG_SAH_AMX_TR069_MANAGER_ORDER=98
  CONFIG_SAH_AMX_TR069_MANAGER_USE_GSDM=y
  CONFIG_SAH_AMX_TR181_BRIDGING=y
  CONFIG_SAH_AMX_TR181_BRIDGING_MSTPD=y
  CONFIG_SAH_AMX_TR181_BRIDGING_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_BRIDGING_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_BUTTON=y
  CONFIG_SAH_AMX_TR181_BUTTON_ORDER=42
  CONFIG_SAH_AMX_TR181_CAPTIVEPORTAL=y
  CONFIG_SAH_AMX_TR181_CAPTIVEPORTAL_EXAMPLE=y
  CONFIG_SAH_AMX_TR181_DEVICE=y
  CONFIG_SAH_AMX_TR181_DEVICEINFO=y
  CONFIG_SAH_AMX_TR181_DEVICEINFO_NUMBER_OF_EXTRA_MAC_ADDRESSES="7"
  CONFIG_SAH_AMX_TR181_DEVICEINFO_ORDER=25
  CONFIG_SAH_AMX_TR181_DEVICEINFO_REQUIRES_USERS=y
  CONFIG_SAH_AMX_TR181_DEVICEINFO_RUN_AS_GROUP="root"
  CONFIG_SAH_AMX_TR181_DEVICEINFO_RUN_AS_USER="root"
  CONFIG_SAH_AMX_TR181_DEVICEINFO_SOFTWARE_VERSION="XX"
  CONFIG_SAH_AMX_TR181_DEVICEINFO_SYSTEM_ORDER=12
  CONFIG_SAH_AMX_TR181_DEVICE_ORDER=41
  CONFIG_SAH_AMX_TR181_DEVICE_RESET_HARD_ENABLE=y
  CONFIG_SAH_AMX_TR181_DHCPV4CLIENT=y
  CONFIG_SAH_AMX_TR181_DHCPV4CLIENT_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DHCPV4CLIENT_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_DHCPV6CLIENT=y
  CONFIG_SAH_AMX_TR181_DHCPV6CLIENT_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DHCPV6CLIENT_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_DHCPV6S=y
  CONFIG_SAH_AMX_TR181_DHCPV6S_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DHCPV6S_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_DNS=y
  CONFIG_SAH_AMX_TR181_DNSSD=y
  CONFIG_SAH_AMX_TR181_DNSSD_ORDER=31
  CONFIG_SAH_AMX_TR181_DNSSD_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DNSSD_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_DNS_CELLULAR=y
  CONFIG_SAH_AMX_TR181_DNS_ORDER=30
  CONFIG_SAH_AMX_TR181_DNS_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DNS_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_DSLITE=y
  CONFIG_SAH_AMX_TR181_DSLITE_ORDER=42
  CONFIG_SAH_AMX_TR181_DSLITE_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_DSLITE_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_ENVIRONMENT_ORDER=12
  CONFIG_SAH_AMX_TR181_ETHERNET=y
  CONFIG_SAH_AMX_TR181_ETHERNET_ORDER=21
  CONFIG_SAH_AMX_TR181_ETHERNET_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_ETHERNET_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_FIREWALL=y
  CONFIG_SAH_AMX_TR181_FIREWALL_LOGS=y
  CONFIG_SAH_AMX_TR181_FIREWALL_ORDER=22
  CONFIG_SAH_AMX_TR181_FIREWALL_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_FIREWALL_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_FIREWALL_WITH_GMAP=y
  CONFIG_SAH_AMX_TR181_HTTPACCESS=y
  CONFIG_SAH_AMX_TR181_HTTPACCESS_FIREWALL=y
  CONFIG_SAH_AMX_TR181_HTTPACCESS_ORDER=49
  CONFIG_SAH_AMX_TR181_IP=y
  CONFIG_SAH_AMX_TR181_IP_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_IP_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_LED=y
  CONFIG_SAH_AMX_TR181_LED_ORDER=15
  CONFIG_SAH_AMX_TR181_LED_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_LED_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_LOGICAL=y
  CONFIG_SAH_AMX_TR181_LOGICAL_ORDER=21
  CONFIG_SAH_AMX_TR181_LOGICAL_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_LOGICAL_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_MCASTD_CORE_PLUGIN=y
  CONFIG_SAH_AMX_TR181_MCASTD_CORE_PLUGIN_ORDER=22
  CONFIG_SAH_AMX_TR181_MCASTD_CORE_PLUGIN_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_MCASTD_CORE_PLUGIN_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_MQTTBROKER=y
  CONFIG_SAH_AMX_TR181_MQTTBROKER_ORDER=49
  CONFIG_SAH_AMX_TR181_MQTTBROKER_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_MQTTBROKER_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_NEIGHBORDISCOVERY=y
  CONFIG_SAH_AMX_TR181_NEIGHBORDISCOVERY_ORDER=50
  CONFIG_SAH_AMX_TR181_NEIGHBORDISCOVERY_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_NEIGHBORDISCOVERY_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_PCP=y
  CONFIG_SAH_AMX_TR181_PCP_ORDER=70
  CONFIG_SAH_AMX_TR181_PCP_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_PCP_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_QOS=y
  CONFIG_SAH_AMX_TR181_QOS_DEVICE_BASED_CLASSIFICATION=y
  CONFIG_SAH_AMX_TR181_QOS_ORDER=49
  CONFIG_SAH_AMX_TR181_ROUTING=y
  CONFIG_SAH_AMX_TR181_ROUTING_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_ROUTING_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_SECURITY=y
  CONFIG_SAH_AMX_TR181_SECURITY_ORDER=61
  CONFIG_SAH_AMX_TR181_TEMPERATURE=y
  CONFIG_SAH_AMX_TR181_TEMPERATURE_ORDER=15
  CONFIG_SAH_AMX_TR181_TEMPERATURE_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_TEMPERATURE_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_TIME=y
  CONFIG_SAH_AMX_TR181_TIME_ORDER=30
  CONFIG_SAH_AMX_TR181_UPNP=y
  CONFIG_SAH_AMX_TR181_UPNP_MOD_UPNPADVERTISE_LIBUPNP=y
  CONFIG_SAH_AMX_TR181_UPNP_ORDER=80
  CONFIG_SAH_AMX_TR181_UPNP_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_TR181_UPNP_RUN_AS_USER="tr181_app"
  CONFIG_SAH_AMX_TR181_XPON=y
  CONFIG_SAH_AMX_TR181_XPON_MAX_ONUS=1
  CONFIG_SAH_AMX_TR181_XPON_ORDER=30
  CONFIG_SAH_AMX_USERMANAGEMENT=y
  CONFIG_SAH_AMX_USERMANAGEMENT_ORDER=15
  CONFIG_SAH_AMX_WAN_MANAGER=y
  CONFIG_SAH_AMX_WAN_MANAGER_ORDER=80
  CONFIG_SAH_AMX_WAN_MANAGER_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_AMX_WAN_MANAGER_RUN_AS_USER="tr181_app"
  CONFIG_SAH_IP_DIAGNOSTICS=y
  CONFIG_SAH_LIB_AMXB_UBUS=y
  CONFIG_SAH_LIB_AMXB_UBUS_ORDER="05-"
  CONFIG_SAH_LIB_AMXRT=y
  CONFIG_SAH_LIB_CTHULHU-LXC=y
  CONFIG_SAH_LIB_FWINTERFACE_INTERFACE_IPTC=y
  CONFIG_SAH_LIB_NETLINK-UTILS=y
  CONFIG_SAH_LIB_NETMODEL=y
  CONFIG_SAH_LIB_SAHTRACE=y
  CONFIG_SAH_LIB_TR069_ENGINE=y
  CONFIG_SAH_LUA_AMX=y
  CONFIG_SAH_LUA_AMX_LUA_VERSION="5.1"
  CONFIG_SAH_LUA_AMX_LUA_VERSION_OVERRIDE=y
  CONFIG_SAH_MOD-LUA-AMX=y
  CONFIG_SAH_MOD_AMXB_USP=y
  CONFIG_SAH_MOD_AMXB_USP_INSTALL_DIR="/usr/bin/mods/usp"
  CONFIG_SAH_MOD_AMXB_USP_REQUIRES_DEVICE_PREFIX=y
  CONFIG_SAH_MOD_BA_CLI=y
  CONFIG_SAH_MOD_BA_CLI_INSTALL_PCB_CLI=y
  CONFIG_SAH_MOD_BA_CLI_INSTALL_RBUS_CLI=y
  CONFIG_SAH_MOD_BA_CLI_INSTALL_UBUS_CLI=y
  CONFIG_SAH_MOD_FW-AMX=y
  CONFIG_SAH_MOD_HTTPACCESS_LIGHTTPD=y
  CONFIG_SAH_MOD_HTTPACCESS_LIGHTTPD_FORCEFUL_TIMEOUT_SHUTDOWN=10
  CONFIG_SAH_MOD_SAHTRACE=y
  CONFIG_SAH_MOD_SAHTRACE_DEFAULT_LOG_LEVEL=200
  CONFIG_SAH_MOD_SAHTRACE_DEFAULT_TRACE_ZONE_LEVEL=200
  CONFIG_SAH_ODLGEN=y
  CONFIG_SAH_REBOOT_SERVICE=y
  CONFIG_SAH_REBOOT_SERVICE_ORDER=18
  CONFIG_SAH_REBOOT_SERVICE_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_REBOOT_SERVICE_RUN_AS_USER="tr181_app"
  CONFIG_SAH_SERVICES_ACL-MANAGER=y
  CONFIG_SAH_SERVICES_ACL-MANAGER_REQUIRES_USERS=y
  CONFIG_SAH_SERVICES_AMX-DHCPV4-MANAGER=y
  CONFIG_SAH_SERVICES_AMX-DHCPV4-MANAGER_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_SERVICES_AMX-DHCPV4-MANAGER_RUN_AS_USER="tr181_app"
  CONFIG_SAH_SERVICES_AMX-HOSTS-MANAGER=y
  CONFIG_SAH_SERVICES_AMX-HOSTS-MANAGER_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_SERVICES_AMX-HOSTS-MANAGER_RUN_AS_USER="tr181_app"
  CONFIG_SAH_SERVICES_AMX-TR181ROUTERADVERTISEMENT=y
  CONFIG_SAH_SERVICES_AMX-TR181ROUTERADVERTISEMENT_RUN_AS_GROUP="tr181_app"
  CONFIG_SAH_SERVICES_AMX-TR181ROUTERADVERTISEMENT_RUN_AS_USER="tr181_app"
  CONFIG_SAH_SERVICES_CTHULHU=y
  CONFIG_SAH_SERVICES_CTHULHU_INIT_START=99
  CONFIG_SAH_SERVICES_CTHULHU_INIT_STOP=60
  CONFIG_SAH_SERVICES_GMAP-SELF=y
  CONFIG_SAH_SERVICES_PWHM=y
  CONFIG_SAH_SERVICES_RLYEH=y
  CONFIG_SAH_SERVICES_RLYEH_ORDER=90
  CONFIG_SAH_SERVICES_TIMINGILA=y
  CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER="/usr/lib/timingila-cthulhu/timingila-cthulhu.so"
  CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER="/usr/lib/timingila-rlyeh/timingila-rlyeh.so"
  CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS=y
  CONFIG_SAH_SERVICES_TIMINGILA_INIT_START=91
  CONFIG_SAH_SERVICES_TIMINGILA_INIT_STOP=80
  CONFIG_SAH_TRACES_ENABLED=y
  CONFIG_SAH_TRACES_LEVEL=500
  CONFIG_SAH_TRACES_SYSLOG_CONSOLE=y
  CONFIG_SAH_TRACE_NO_COLORS=y
  CONFIG_SAH_WLD_INIT_ORDER=60
  CONFIG_SAH_WLD_INIT_SCRIPT="prplmesh_whm"
  CONFIG_SDK=y
  CONFIG_SQLITE3_COLUMN_METADATA=y
  CONFIG_SQLITE3_DYNAMIC_EXTENSIONS=y
  CONFIG_SQLITE3_FTS3=y
  CONFIG_SQLITE3_FTS4=y
  CONFIG_SQLITE3_FTS5=y
  CONFIG_SQLITE3_RTREE=y
  CONFIG_USE_FS_ACL_ATTR=y
  CONFIG_USE_PRPLMESH_WHM=y
  CONFIG_VERSIONOPT=y
  CONFIG_VERSION_BUG_URL="https://jira.prplfoundation.org"
  CONFIG_VERSION_CODE=""
  CONFIG_VERSION_DIST="prplOS"
  CONFIG_VERSION_HOME_URL="https://prplfoundation.org"
  CONFIG_VERSION_HWREV=""
  CONFIG_VERSION_MANUFACTURER="prpl Foundation"
  CONFIG_VERSION_MANUFACTURER_URL="https://prplfoundation.org"
  CONFIG_VERSION_NUMBER=""
  CONFIG_VERSION_PRODUCT=""
  CONFIG_VERSION_REPO="https://downloads.openwrt.org/releases/23.05-SNAPSHOT"
  CONFIG_VERSION_SUPPORT_URL="https://jira.prplfoundation.org"
  CONFIG_shadow-all=y
  # CONFIG_VERSION_CODE_FILENAMES is not set
  # CONFIG_VERSION_FILENAMES is not set
